de.esprit.netsuite.netdata.event

## Class ServerBatchTaskEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.appsuite.task.TaskEvent
        - - de.esprit.netsuite.netdata.event.ServerBatchTaskEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class ServerBatchTaskEvent
      extends TaskEvent

  This event is sent by the server to notify about start/stop or progress of an asynchronously running remote server batch task.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ServerBatchTaskEvent.Listener`
    `static interface` | `ServerBatchTaskEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerBatchTaskEvent(ServerBatchTaskConfigEntry taskCfg, RunStateFlag stateFlag)`
    `ServerBatchTaskEvent(ServerBatchTaskConfigEntry taskCfg, RunStateFlag stateFlag, java.lang.Object result)`
    `ServerBatchTaskEvent(ServerBatchTaskConfigEntry taskCfg, RunStateFlag stateFlag, java.lang.Object result, int step, int maxSteps, java.lang.String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBatchTaskName()`
    `ServerBatchTaskConfigEntry` | `getProcessConfigEntry()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.task.TaskEvent

      `getChildCount, getChildNestingDepth, getCurrentChild, getError, getMaxChildTasks, getMaxProgressSteps, getProgressMessage, getProgressPercentage, getProgressStep, getResult, getRunState, getRunStateFlag, getTaskId, getTaskName, isCancellable, isCancelled, isChildEvent, isChildFinished, isChildStarted, isChildSucceeded, isFailed, isFinished, isProgress, isRunning, isStarted, isSucceeded, toDumpString, wasCancelled, wasFailed, wasSucceeded`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerBatchTaskEvent

          public ServerBatchTaskEvent(ServerBatchTaskConfigEntry taskCfg,
                              RunStateFlag stateFlag,
                              java.lang.Object result,
                              int step,
                              int maxSteps,
                              java.lang.String message)

    - #### ServerBatchTaskEvent

          public ServerBatchTaskEvent(ServerBatchTaskConfigEntry taskCfg,
                              RunStateFlag stateFlag,
                              java.lang.Object result)

    - #### ServerBatchTaskEvent

          public ServerBatchTaskEvent(ServerBatchTaskConfigEntry taskCfg,
                              RunStateFlag stateFlag)

  - ### Method Detail

    - #### getBatchTaskName

          public java.lang.String getBatchTaskName()

    - #### getProcessConfigEntry

          public ServerBatchTaskConfigEntry getProcessConfigEntry()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `TaskEvent`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.